Bug 55736 - Keyboard enters islandic characters instead of Turkish characters
Keyboard enters islandic characters instead of Turkish characters
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-11-05 16:08 EST by deniz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-06 06:43:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description deniz 2001-11-05 16:08:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
xkb tr symbol file is incorrect. Due to problems also with capslock issues
(capslock is hard-wired in X and not derived from the keyboard map files),
a little more is required than simply replacing the tr file. Detailed
description of problem, solution and necessary files is at the URL above. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install Turkish language during language selection during install.
2.SElect the Turkish keyboard, either from GNOME or KDE.
3.Try entering ?,?, or ?

Actual Results:  You get the islandic characters yacute, thorn and eth 

Expected Results:  You should get the Turkish characters idotless, scedilla
and gbrave.

Additional info:

http://www.arayan.com/da/linux.html details this issue and how to get
around it.
Comment 1 Mike A. Harris 2002-01-31 19:05:30 EST
The following locale aliases are present in XFree86 4.2.0 for turkish

tr:                     tr_TR.ISO8859-9
tr_TR:                      tr_TR.ISO8859-9
tr_TR.iso88599:                 tr_TR.ISO8859-9
tr_TR.ISO-8859-9:               tr_TR.ISO8859-9

Those pretty much account for the symlink munged aliasing on the URL
provided above, except for the UTF-8 one.  I've just added it to
the locale.alias file myself:

tr_TR.utf8:                                     tr_TR.UTF-8

The rest of the changes are outside my area of expertise, and outside
the level of enhancement I can provide.  The best way to have these
types of changes - for any language/locale are to have the authors
of such changes submit them directly to fixes@xfree86.org with full
explanations of what they fix.

Any changes we make to XFree86 from here on out are based on the 4.2.0
release, so please check that release out for the most up to date
XFree86 support.

Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.